AddEditTenant
POST
/v2.0/openflow/tenant
const url = 'https://wl.api.cluster.openbrix.co.uk/v2.0/openflow/tenant';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tenants":["example"],"send_to_tenant":true,"home_telecom_opt_out":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://wl.api.cluster.openbrix.co.uk/v2.0/openflow/tenant \ --header 'Content-Type: application/json' \ --data '{ "tenants": [ "example" ], "send_to_tenant": true, "home_telecom_opt_out": true }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
tenants
required
Array
send_to_tenant
boolean
home_telecom_opt_out
boolean
Examplegenerated
{ "tenants": [ "example" ], "send_to_tenant": true, "home_telecom_opt_out": true}Responses
Section titled “ Responses ”Ok
Media typeapplication/json
object
data
required
status
required
boolean
openflow_id
required
number format: double
branch_id
required
number format: double
open_flow_subtenants
required
Array<object>
object
open_flow_sub_tenant_id
required
number format: double
app_user_id
required
number format: double
user_id
required
number format: double
Examplegenerated
{ "data": "example", "status": true, "openflow_id": 1, "branch_id": 1, "open_flow_subtenants": [ { "open_flow_sub_tenant_id": 1, "app_user_id": 1, "user_id": 1 } ]}